<?php
use MasterPopups\Includes\Assets as Assets;

$xbox->add_tab(array(
	'id' => 'tab-device-editor',
	'items' => array(
		'device-editor-desktop' => 'Desktop',
		'device-editor-mobile' => 'Mobile',
	),
	'attributes' => array(
		'class' => 'tab-device-editor'
	)
));
$xbox->open_tab_item('device-editor-desktop');
	$device = 'desktop';
	$elements = $xbox->add_group(array(
		'id' => $device.'-elements',
		'name' => __( 'Elements', 'masterpopups' ),
		'options' => array(
			'add_item_class' => 'default-add-new-element'
		),
		'controls' => array(
			'name' => 'Close icon',
			'default_type' => 'close-icon',
			'readonly_name' => false,
			'position' => 'left',
			'width' => '254px',
			'height' => '',
			'left_actions' => array(
				'xbox-info-order-item' => '#',
				'xbox-sort-group-item' => '<i class="xbox-icon xbox-icon-sort"></i>',
			),
			'right_actions' => array(
				'xbox-duplicate-group-item' => '<i class="dashicons dashicons-admin-page"></i>',
				'xbox-visibility-group-item' => '<i class="xbox-icon xbox-icon-eye"></i>',
				'xbox-remove-group-item' => '<i class="xbox-icon xbox-icon-trash"></i>',
			),
		),
		'insert_after_name' => $this->get_html_type_elements('all')
	));
	$elements->add_tab(array(
		'id' => $device.'-tab-elements',
		'items' => array(
			$device.'-elements-content' => __( 'Content', 'masterpopups' ),
			$device.'-elements-size-position' => __( 'Size & Position', 'masterpopups' ),
			$device.'-elements-font' => __( 'Font', 'masterpopups' ),
			$device.'-elements-background' => __( 'Background', 'masterpopups' ),
			$device.'-elements-border' => __( 'Border', 'masterpopups' ),
			$device.'-elements-animation' => __( 'Animation', 'masterpopups' ),
			$device.'-elements-advanced' => __( 'Advanced', 'masterpopups' ),
			$device.'-elements-actions' => __( 'Actions', 'masterpopups' ),
			$device.'-elements-attributes' => __( 'Attributes', 'masterpopups' ),
		),
	));
	$elements->open_tab_item($device.'-elements-content');
	include MPP_DIR . 'includes/options/popup-editor/elements/content.php';
	$elements->close_tab_item($device.'-elements-content');

	$elements->open_tab_item($device.'-elements-size-position');
	include MPP_DIR . 'includes/options/popup-editor/elements/size-position.php';
	$elements->close_tab_item($device.'-elements-size-position');

	$elements->open_tab_item($device.'-elements-font');
	include MPP_DIR . 'includes/options/popup-editor/elements/font.php';
	$elements->close_tab_item($device.'-elements-font');

	$elements->open_tab_item($device.'-elements-background');
	include MPP_DIR . 'includes/options/popup-editor/elements/background.php';
	$elements->close_tab_item($device.'-elements-background');

	$elements->open_tab_item($device.'-elements-border');
	include MPP_DIR . 'includes/options/popup-editor/elements/border.php';
	$elements->close_tab_item($device.'-elements-border');

	$elements->open_tab_item($device.'-elements-animation');
	include MPP_DIR . 'includes/options/popup-editor/elements/animation.php';
	$elements->close_tab_item($device.'-elements-animation');

	$elements->open_tab_item($device.'-elements-advanced');
	include MPP_DIR . 'includes/options/popup-editor/elements/advanced.php';
	$elements->close_tab_item($device.'-elements-advanced');

	$elements->open_tab_item($device.'-elements-actions');
	include MPP_DIR . 'includes/options/popup-editor/elements/actions.php';
	$elements->close_tab_item($device.'-elements-actions');

	$elements->open_tab_item($device.'-elements-attributes');
	include MPP_DIR . 'includes/options/popup-editor/elements/attributes.php';
	$elements->close_tab_item($device.'-elements-attributes');

	$elements->close_tab($device.'-tab-elements');
	unset($elements);


$xbox->close_tab_item('device-editor-desktop');



$xbox->open_tab_item('device-editor-mobile');
	$device = 'mobile';
	$elements = $xbox->add_group(array(
		'id' => $device.'-elements',
		'name' => __( 'Elements', 'masterpopups' ),
		'options' => array(
			'add_item_class' => 'default-add-new-element'
		),
		'controls' => array(
			'name' => 'Close icon',
			'default_type' => 'close-icon',
			'readonly_name' => false,
			'position' => 'left',
			'width' => '254px',
			'height' => '',
			'left_actions' => array(
				'xbox-info-order-item' => '#',
				'xbox-sort-group-item' => '<i class="xbox-icon xbox-icon-sort"></i>',
			),
			'right_actions' => array(
				'xbox-duplicate-group-item' => '<i class="dashicons dashicons-admin-page"></i>',
				'xbox-visibility-group-item' => '<i class="xbox-icon xbox-icon-eye"></i>',
				'xbox-remove-group-item' => '<i class="xbox-icon xbox-icon-trash"></i>',
			),
		),
		'insert_after_name' => $this->get_html_type_elements('all')
	));
	$elements->add_tab(array(
		'id' => $device.'-tab-elements',
		'items' => array(
			$device.'-elements-content' => 'Content',
			$device.'-elements-size-position' => 'Size & Position',
			$device.'-elements-font' => 'Font',
			$device.'-elements-background' => 'Background',
			$device.'-elements-border' => 'Border',
			$device.'-elements-animation' => 'Animation',
			$device.'-elements-advanced' => 'Advanced',
			$device.'-elements-actions' => 'Actions',
			$device.'-elements-attributes' => 'Attributes',
		),
	));
	$elements->open_tab_item($device.'-elements-content');
	include MPP_DIR . 'includes/options/popup-editor/elements/content.php';
	$elements->close_tab_item($device.'-elements-content');

	$elements->open_tab_item($device.'-elements-size-position');
	include MPP_DIR . 'includes/options/popup-editor/elements/size-position.php';
	$elements->close_tab_item($device.'-elements-size-position');

	$elements->open_tab_item($device.'-elements-font');
	include MPP_DIR . 'includes/options/popup-editor/elements/font.php';
	$elements->close_tab_item($device.'-elements-font');

	$elements->open_tab_item($device.'-elements-background');
	include MPP_DIR . 'includes/options/popup-editor/elements/background.php';
	$elements->close_tab_item($device.'-elements-background');

	$elements->open_tab_item($device.'-elements-border');
	include MPP_DIR . 'includes/options/popup-editor/elements/border.php';
	$elements->close_tab_item($device.'-elements-border');

	$elements->open_tab_item($device.'-elements-animation');
	include MPP_DIR . 'includes/options/popup-editor/elements/animation.php';
	$elements->close_tab_item($device.'-elements-animation');

	$elements->open_tab_item($device.'-elements-advanced');
	include MPP_DIR . 'includes/options/popup-editor/elements/advanced.php';
	$elements->close_tab_item($device.'-elements-advanced');

	$elements->open_tab_item($device.'-elements-actions');
	include MPP_DIR . 'includes/options/popup-editor/elements/actions.php';
	$elements->close_tab_item($device.'-elements-actions');

	$elements->open_tab_item($device.'-elements-attributes');
	include MPP_DIR . 'includes/options/popup-editor/elements/attributes.php';
	$elements->close_tab_item($device.'-elements-attributes');



	$elements->close_tab($device.'-tab-elements');


$xbox->close_tab_item('device-editor-mobile');

$xbox->close_tab('tab-device-editor');


